<?php
//===========================================================================\\
// In Anywhere 1.0                                                           \\
// Aardvark Topsites PHP 5                                                   \\
// Copyright (c) 2006 Jeremy Scheff.  All rights reserved.                   \\
//---------------------------------------------------------------------------\\
// http://www.aardvarktopsitesphp.com/                http://www.avatic.com/ \\
//---------------------------------------------------------------------------\\
// This program is free software; you can redistribute it and/or modify it   \\
// under the terms of the GNU General Public License as published by the     \\
// Free Software Foundation; either version 2 of the License, or (at your    \\
// option) any later version.                                                \\
//                                                                           \\
// This program is distributed in the hope that it will be useful, but       \\
// WITHOUT ANY WARRANTY; without even the implied warranty of                \\
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General \\
// Public License for more details.                                          \\
//===========================================================================\\

// Set this to your website's domain name so the script will not count a hit
// every time someone goes to another page on your website.
$your_domain = 'example.com';

// Set this to the path to your topsites list
$path = './topsites';

// Check the referer
if (isset($_SERVER['HTTP_REFERER']) && strpos($_SERVER['HTTP_REFERER'], $your_domain) === FALSE) {
  // Help prevent register_globals injection
  define('ATSPHP', 1);
  $CONF = array();
  $FORM = array();
  $TMPL = array();

  $CONF['path'] = $path;
  $TMPL['version'] = '5.1.0';

  // Require some classes
  require_once("{$CONF['path']}/sources/misc/classes.php");

  // Connect to the database
  // Set the last argument of $DB->connect to 1 to enable debug mode
  require_once("{$CONF['path']}/settings_sql.php");
  require_once("{$CONF['path']}/sources/sql/{$CONF['sql']}.php");
  $DB = new sql;
  $DB->connect($CONF['sql_host'], $CONF['sql_username'], $CONF['sql_password'], $CONF['sql_database']);

  // Settings
  $settings = $DB->fetch("SELECT * FROM {$CONF['sql_prefix']}_settings", __FILE__, __LINE__);
  $CONF = array_merge($CONF, $settings);

  $CONF['skins_path'] = "{$CONF['path']}/skins";
  $CONF['skins_url'] = "{$CONF['list_url']}/skins";
  $TMPL['skins_url'] = $CONF['skins_url'];
  $TMPL['list_name'] = $CONF['list_name'];
  $TMPL['list_url'] = $CONF['list_url'];

  // Combine the GET and POST input
  $FORM = array_merge($_GET, $_POST);

  // The language file
  require_once("{$CONF['path']}/languages/{$CONF['default_language']}.php");

  // Skin
  $TMPL['skin_name'] = $CONF['default_skin'];
  require_once("{$CONF['path']}/sources/misc/skin.php");

  require_once("{$CONF['path']}/sources/in.php");
  $in = new in;
}
?>
